org.apache.ignite.internal.visor.node

## Class VisorNodeDataCollectorJob

- java.lang.Object
- - org.apache.ignite.compute.ComputeJobAdapter
  - - org.apache.ignite.internal.visor.VisorJob<VisorNodeDataCollectorTaskArg,VisorNodeDataCollectorJobResult>
    - - org.apache.ignite.internal.visor.node.VisorNodeDataCollectorJob

All Implemented Interfaces:
  Serializable, Callable<Object>, ComputeJob

    public class VisorNodeDataCollectorJob
    extends VisorJob<VisorNodeDataCollectorTaskArg,VisorNodeDataCollectorJobResult>

Job that collects data from node.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorJob

`debug, ignite, start`

### Constructor Summary

Constructors
Constructor and Description
`VisorNodeDataCollectorJob(VisorNodeDataCollectorTaskArg arg, boolean debug)` Create job with given argument.

### Method Summary

Methods
`protected VisorNodeDataCollectorJobResult` `run(VisorNodeDataCollectorJobResult res, VisorNodeDataCollectorTaskArg arg)` Execution logic of concrete job.
`protected VisorNodeDataCollectorJobResult` `run(VisorNodeDataCollectorTaskArg arg)` Execution logic of concrete job.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.visor.VisorJob

`execute`

### Methods inherited from class org.apache.ignite.compute.ComputeJobAdapter

`argument, call, cancel, isCancelled, setArguments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorNodeDataCollectorJob

    public VisorNodeDataCollectorJob(VisorNodeDataCollectorTaskArg arg,
                             boolean debug)

Create job with given argument.

Parameters:
  `arg` - Job argument.
  `debug` - Debug flag.

### Method Detail

#### run

    protected VisorNodeDataCollectorJobResult run(VisorNodeDataCollectorTaskArg arg)

Execution logic of concrete job.

Specified by:
  `run` in class `VisorJob<VisorNodeDataCollectorTaskArg,VisorNodeDataCollectorJobResult>`
Parameters:
  `arg` - Task argument.
Returns:
  Result.

#### run

    protected VisorNodeDataCollectorJobResult run(VisorNodeDataCollectorJobResult res,
                                      VisorNodeDataCollectorTaskArg arg)

Execution logic of concrete job.

Parameters:
  `res` - Result response.
  `arg` - Job argument.
Returns:
  Job result.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015